## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate regex-lite

Name:           rust-regex-lite
Version:        0.1.5
Release:        %autorelease
Summary:        Lightweight regex engine that optimizes for binary size and compilation time

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/regex-lite
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A lightweight regex engine that optimizes for binary size and
compilation time.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+string-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+string-devel %{_description}

This package contains library source intended for building other packages which
use the "string" feature of the "%{crate}" crate.

%files       -n %{name}+string-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * integration tests can only be run in-tree
%cargo_test -- --lib
%cargo_test -- --doc
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1.5-1
- Rebuilt for MSVSphere 9.2

* Tue Oct 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.5-1
- Update to version 0.1.5; Fixes RHBZ#2244295

* Sun Oct 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.4-1
- Update to version 0.1.4; Fixes RHBZ#2243072

* Tue Oct 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.2-1
- Update to version 0.1.2; Fixes RHBZ#2242956

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-2
- Ignore harmless test failures on 32-bit architectures

* Tue Jul 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-1
- Initial import (#2221221)
